orgティアまたはrepoティアのブループリントを作成する
curl --request POST \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contents": "<string>",
"repo_name": "<string>"
}
'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints"
payload = {
"contents": "<string>",
"repo_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contents: '<string>', repo_name: '<string>'})
};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blueprint_id": "<string>",
"created_at": 123,
"repo_name": "<string>",
"type": "enterprise",
"updated_at": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}スナップショットのセットアップ(組織)
orgティアまたはrepoティアのブループリントを作成する
ブループリントを作成します。type は repo_name から推定されます。
仕様上、これによってビルドが自動的にトリガーされることはありません。呼び出し元は
明示的に POST /builds を実行する必要があります。
POST
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
orgティアまたはrepoティアのブループリントを作成する
権限
ManageRepoBlueprints 権限を持つサービスユーザーが必要です。org ティア ブループリントの作成には、ManageOrgSnapshots 権限が必要です。
動作
ブループリントは環境設定とは独立して存在しません。
repo_name を指定してブループリントを作成すると、そのリポジトリも環境に追加されます。事前にリポジトリを登録するための別個のエンドポイントはありません。リポジトリは次回のビルド時に環境へクローンされ、インデックス作成が開始されます。逆も同様です。環境からリポジトリを削除すると (UI の Include in environment トグル) 、そのリポジトリのすべてのブループリント (すべてのワークスペーススコープを含む) が削除されます。owner/repo) 。不明なリポジトリまたはアクセスできないリポジトリの場合は 404 が返され、ブループリントは作成されません。そのリポジトリとスコープにアクティブなブループリントがすでに存在する場合、リクエストは 409 を返します。代わりに update エンドポイントを使用してください。承認
サービスユーザーの認証情報(接頭辞: cog_)
パスパラメータ
組織ID(プレフィックス: org-)
例:
"org-abc123def456"
ボディ
application/json

